| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions
/builds/wireshark/wireshark/extcap_parser.h File Reference
`#include <stdio.h>`
`#include <glib.h>`
`#include <string.h>`
`#include "ui/iface_toolbar.h"`

Go to the source code of this file.

## Classes
struct | _extcap_value
struct | _extcap_complex
struct | _extcap_arg
struct | _extcap_interface
struct | _extcap_dlt
struct | _extcap_token_sentence

## Macros
#define | ENUM_KEY(s) GUINT_TO_POINTER((unsigned)s)
#define | EXTCAP_PARAM_REQUIRED_SUFFICIENT "sufficient"

## Typedefs
typedef struct _extcap_value | extcap_value
typedef struct _extcap_complex | extcap_complex
typedef struct _extcap_arg | extcap_arg
typedef struct _extcap_interface | extcap_interface
typedef struct _extcap_dlt | extcap_dlt
typedef struct _extcap_token_sentence | extcap_token_sentence

## Enumerations
enum | extcap_sentence_type { EXTCAP_SENTENCE_UNKNOWN , EXTCAP_SENTENCE_ARG , EXTCAP_SENTENCE_VALUE , EXTCAP_SENTENCE_EXTCAP , EXTCAP_SENTENCE_INTERFACE , EXTCAP_SENTENCE_DLT , EXTCAP_SENTENCE_CONTROL }
enum | extcap_arg_type { EXTCAP_ARG_UNKNOWN , EXTCAP_ARG_INTEGER , EXTCAP_ARG_UNSIGNED , EXTCAP_ARG_LONG , EXTCAP_ARG_DOUBLE , EXTCAP_ARG_BOOLEAN , EXTCAP_ARG_BOOLFLAG , EXTCAP_ARG_STRING , EXTCAP_ARG_PASSWORD , EXTCAP_ARG_SELECTOR , EXTCAP_ARG_EDIT_SELECTOR , EXTCAP_ARG_RADIO , EXTCAP_ARG_MULTICHECK , EXTCAP_ARG_TABLE , EXTCAP_ARG_FILESELECT , EXTCAP_ARG_TIMESTAMP }
enum | extcap_param_type { EXTCAP_PARAM_UNKNOWN , EXTCAP_PARAM_ARGNUM , EXTCAP_PARAM_CALL , EXTCAP_PARAM_DISPLAY , EXTCAP_PARAM_TYPE , EXTCAP_PARAM_ARG , EXTCAP_PARAM_DEFAULT , EXTCAP_PARAM_VALUE , EXTCAP_PARAM_RANGE , EXTCAP_PARAM_TOOLTIP , EXTCAP_PARAM_PLACEHOLDER , EXTCAP_PARAM_NAME , EXTCAP_PARAM_ENABLED , EXTCAP_PARAM_FILE_MUSTEXIST , EXTCAP_PARAM_FILE_EXTENSION , EXTCAP_PARAM_GROUP , EXTCAP_PARAM_PARENT , EXTCAP_PARAM_REQUIRED , EXTCAP_PARAM_RELOAD , EXTCAP_PARAM_CONFIGURABLE , EXTCAP_PARAM_PREFIX , EXTCAP_PARAM_SAVE , EXTCAP_PARAM_VALIDATION , EXTCAP_PARAM_VERSION , EXTCAP_PARAM_HELP , EXTCAP_PARAM_CONTROL , EXTCAP_PARAM_ROLE }

## Functions
extcap_complex * | extcap_parse_complex (extcap_arg_type complex_type, const char *data)
void | extcap_free_complex (extcap_complex *comp)
void | extcap_printf_complex (extcap_complex *comp)
char * | extcap_get_complex_as_string (extcap_complex *comp)
int | extcap_complex_get_int (extcap_complex *comp)
unsigned | extcap_complex_get_uint (extcap_complex *comp)
int64_t | extcap_complex_get_long (extcap_complex *comp)
double | extcap_complex_get_double (extcap_complex *comp)
bool | extcap_complex_get_bool (extcap_complex *comp)
char * | extcap_complex_get_string (extcap_complex *comp)
bool | extcap_compare_is_default (extcap_arg *element, extcap_complex *test)
void | extcap_free_arg (extcap_arg *a)
void | extcap_free_toolbar_control (iface_toolbar_control *control)
void | extcap_free_arg_list (GList *a)
GList * | extcap_parse_args (char *output)
GList * | extcap_parse_values (char *output)
GList * | extcap_parse_interfaces (char *output, GList **control_items)
GList * | extcap_parse_dlts (char *output)

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ extcap_parse_args()

GList * extcap_parse_args | ( | char * | output | ) |

Parser for extcap data